#ifndef __KSCODE_H__
#define __KSCODE_H__

#include "gp32lib.h"

typedef enum _HANCODE
{
	CODE_KS,
	CODE_KSSM
} HANCODE;

WORD KSSM2KS(WORD code);      	//  -> ϼ
WORD KS2KSSM(WORD code);      	// ϼ -> 
WORD KSSM2ExtKS(WORD code);  	//  -> Ȯϼ
WORD ExtKS2KSSM(WORD code);  	// Ȯϼ -> 

BOOL LoadExtKSTable(void);

//
BOOL IsKS(LPBYTE buf, int len);

//
enum CODETYPE {
	CODE_NONE = -1,
	CODE_ENG,
	CODE_FIRST,
	CODE_LAST
};

enum CODETYPE GetCodeType(LPBYTE str, int pos);

#endif
